%define major 0
%define libname %mklibname purple %{major}
%define develname %mklibname purple -d

%define console_app finch
%define lib_console_app %mklibname %{console_app} %{major}
%define gntlib	%mklibname gnt 0

%bcond_with evolution
%bcond_without silc
%bcond_without meanwhile
%bcond_without networkmanager
%bcond_without vv
%bcond_without libgadu
%bcond_without sasl

#gw http://developer.pidgin.im/ticket/11936#comment:1
%bcond_with mono

Summary:	A GTK+ based multiprotocol instant messaging client
Name:		pidgin
Version:	2.14.1
Release:	%mkrel 6
Group:		Networking/Instant messaging
License:	GPLv2+
URL:		http://www.pidgin.im/
Source0:	http://downloads.sourceforge.net/pidgin/%{name}-%{version}.tar.bz2
#gw from Fedora: generate one time passwords
Source2:        one_time_password.c
Patch0:		pidgin-2.7.0-smiley.patch
Patch3:		pidgin-2.4.2-set-jabber-as-module.patch
#gw fix build with mono 2.6.4 which does not have the nessessary glib dep
#in the pkgconfig file
#also add missing include
Patch6:		pidgin-2.7.0-mono-build.patch
Patch10:	pidgin-2.13.0-python-3.8-fix.patch
Patch11:	pidgin-2.10.11-purple-remote-python3.patch
Patch12:	pidgin-2.13.0-fix-build-against-nm-1.0.patch
#gw fix reading resolv.conf in NetworkManager integration
Patch111:	pidgin-2.8.0-reread-resolvconf.patch
Patch115:	pidgin-2.10.0-gg-search-by-uin.patch
Patch116:	pidgin-2.8.0-gg-disconnect.patch
Patch117:	pidgin-2.14.1-intltool.patch
BuildRequires:	automake
BuildRequires:	intltool
BuildRequires:	autoconf
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(gnt)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.10
BuildRequires:	pkgconfig(gtkspell-2.0) >= 2.0.2
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(ncursesw)
#gw for finch:
BuildRequires:	pkgconfig(python3)
%if %{with libgadu}
BuildRequires:	pkgconfig(libgadu) >= 1.11.0
%endif
%if %{with networkmanager}
BuildRequires:	pkgconfig(libnm)
%endif
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	gstreamer1.0-devel
BuildRequires:	libgstreamer1.0-plugins-base-devel
BuildRequires:  pkgconfig(libidn)
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(tk)
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(nspr)
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	doxygen
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(dbus-1) >= 0.50
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	graphviz
BuildRequires:	libxslt-proc
BuildRequires:	GConf2
%if %{with meanwhile}
BuildRequires:	pkgconfig(meanwhile) >= 1.0.0
%else
BuildConflicts:	meanwhile-devel
%endif
%if %{with evolution}
BuildRequires:	evolution-data-server-devel
%endif
%if %{with silc}
BuildRequires:	silc-toolkit-devel >= 0.9.12
%else
BuildConflicts:	silc-toolkit-devel
%endif
%if %{with mono}
BuildRequires:	mono-devel
%endif
%if %{with vv}
BuildRequires:	pkgconfig(farstream-0.2) >= 0.1.1
Recommends:	gstreamer1.0-farstream
%endif
%if %{with sasl}
BuildRequires:  pkgconfig(libsasl2)
%endif
BuildRequires: intltool
Requires:	%{name}-i18n = %{version}-%{release}
Requires:	%{name}-plugins = %{version}-%{release}
Requires:	rootcerts
Requires:	xdg-utils
# for notifications in gnome-shell
Recommends:	purple-libnotify-plus

%description
Pidgin allows you to talk to anyone using a variety of messaging
protocols including AIM, MSN, Yahoo!, Jabber, Bonjour, Gadu-Gadu,
ICQ, IRC, Novell Groupwise, QQ, Lotus Sametime, SILC, Simple and
Zephyr.  These protocols are implemented using a modular, easy to
use design.  To use a protocol, just add an account using the
account editor.

Pidgin supports many common features of other clients, as well as many
unique features, such as perl scripting, TCL scripting and C plugins.

Pidgin is not affiliated with or endorsed by America Online, Inc.,
Microsoft Corporation, Yahoo! Inc., or ICQ Inc.

%package plugins
Summary:	Pidgin plugins shared by the Purple and Finch
Group:		Networking/Instant messaging
Conflicts:	%{name} < 2.4.1-3mdv

%description plugins
This contains the parts of Pidgin that are shared between the Purple and
Finch Instant Messengers.

%package perl
Summary:	Purple extension, to use perl scripting
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description perl
Purple can use perl script as plugin, this plugin enable them.

%package tcl
Summary:	Purple extension, to use tcl scripting
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description tcl
Purple can use tcl script as plugin, this plugin enable them.

%if %{with evolution}
%package gevolution
Summary:	Pidgin extension, for Evolution integration
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description gevolution
This pidgin plugin allows you to have pidgin working together with evolution.
%endif

%package silc
Summary:	Purple extension, to use SILC (Secure Internet Live Conferencing)
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description silc
This purple plugin allows you to use SILC (Secure Internet Live Conferencing)
plugin for live video conference.

%package -n %{develname}
Summary:	Development files for pidgin
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	%{lib_console_app} = %{version}-%{release}
Requires:	pidgin-client = %version-%release
Provides:	libpidgin-devel = %{version}-%{release}
Provides:	pidgin-devel = %{version}-%{release}
Provides:	purple-devel = %{version}-%{release}

%description -n %{develname}
The pidgin-devel package contains the header files, developer
documentation, and libraries required for development of Pidgin scripts
and plugins.

%package -n %{libname}
Summary:	The libpurple library for IM clients like Pidgin and Finch
Group:		System/Libraries
# Required to connect to somme XMPP or IRC servers
Requires:	sasl-plug-plain
Requires:	sasl-plug-scram
Requires:	sasl-plug-digestmd5
Requires:	sasl-plug-crammd5

%description -n %{libname}
libpurple contains the core IM support for IM clients such as Pidgin
and Finch.

libpurple supports a variety of messaging protocols including AIM, MSN,
Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
Lotus Sametime, SILC, Simple and Zephyr.

%package -n %{lib_console_app}
Summary:	The libgnt library for the Finch IM client
Group:		System/Libraries
Conflicts:	%mklibname gaim 0
Requires:	%{gntlib} >= 2.14.0

%description -n %{lib_console_app}
libgnt contains the core IM support for the Finch IM client.

libgnt supports a variety of messaging protocols including AIM, MSN,
Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
Lotus Sametime, SILC, Simple and Zephyr.

%package -n %{console_app}
Summary:	A text-based user interface for Pidgin
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}
Requires:	%{lib_console_app} >= %{version}-%{release}
Requires:	%{name}-i18n = %{version}-%{release}
Requires:	%{name}-plugins = %{version}-%{release}
Requires:	%{gntlib} >= 2.14.0

%description -n	%{console_app}
A text-based user interface for using libpurple. This can be run from a
standard text console or from a terminal within X Windows.  It
uses ncurses and our homegrown gnt library for drawing windows
and text.

%package bonjour
Summary:	Bonjour plugin for Purple
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description bonjour
Bonjour plugin for purple.

%package meanwhile
Summary:	Lotus Sametime Community Client plugin for Purple
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description meanwhile
Lotus Sametime Community Client plugin for purple.

%package client
Summary:	Plugin and sample client to control purple clients
Group:		Networking/Instant messaging
Requires:	python3-dbus
Requires:	%{name} = %{version}-%{release}

%description client
Applications and library to control purple clients remotely.

%package mono
Summary:	Purple extension, to use Mono plugins
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}-%{release}

%description mono
Purple can use plugins developed with Mono.

%package i18n
Summary:	Translation files for Pidgin/Finch
Group:		Networking/Instant messaging
BuildArch:	noarch

%description i18n
This package contains translation files for Pidgin/Finch.

%prep
%setup -q
%patch0 -p1 -b .smiley
%patch3 -p0
%patch6 -p1
#patch10 -p1 -b .pat10
#patch11 -p1 -b .pat11
#patch12 -p1
%patch111 -p1 -b .reread-resolvconf
%patch115 -p1
%patch116 -p1
%patch117 -p1

# Get rid of #!/usr/bin/env python
# Upstream refuses to use ./configure --python-path= in these scripts.
pathfix.py -pni "%{python3} %{py3_shbang_opts}"  finch/plugins/pietray.py libpurple/purple-remote \
            libpurple/plugins/dbus-buddyicons-example.py \
            libpurple/plugins/startup.py libpurple/purple-url-handler \
            libpurple/purple-notifications-example

# make autoreconf happy
sed -i -e 's,\(^AM_INIT_AUTOMAKE\)\((\[\(.*\)\])\|(\(.*\))\|.*\),\1([\3\4 subdir-objects]),' configure.ac

%build
autoreconf -fi -Im4macros
#gw 2.7.0, the yahoo plugin does not build otherwise
%define _disable_ld_no_undefined 1
%configure \
	--enable-gnutls=yes \
%if %{with mono}
	--enable-mono \
%else
	--disable-mono \
%endif
%if %{with networkmanager}
	--enable-nm \
%else
	--disable-nm \
%endif
%if %{with evolution}
	--enable-gevolution \
%endif
%if ! %{with vv}
        --disable-vv \
%endif
%if %{with sasl}
        --enable-cyrus-sasl \
%else
        --disable-cyrus-sasl \
%endif
	--without-krb4 \
	--enable-cap \
	--with-python=%__python3 \
	--with-system-ssl-certs=%_sysconfdir/pki/tls/rootcerts/ \
	--disable-static --disable-schemas-install
%make_build

# one_time_password plugin, to be merged upstream soon
cp %{SOURCE2} libpurple/plugins/
pushd libpurple/plugins/
make one_time_password.so
popd


%install
%make_install

install -m 0755 libpurple/plugins/one_time_password.so %{buildroot}%{_libdir}/purple-2/

desktop-file-install \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Network" \
  --add-category="InstantMessaging" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# remove files not bundled
rm -f %{buildroot}%{_libdir}/*/*.la
rm -f %buildroot%_prefix/*/perl5/*/perllocal.pod \
      %buildroot%_libdir/*/perl/auto/*/{.packlist,*.bs}

# fix rights
chmod 755 \
	%{buildroot}%{_libdir}/pidgin/perl/auto/Pidgin/Pidgin.so \
	%{buildroot}%{_libdir}/purple-2/perl/auto/Purple/Purple.so

%find_lang %{name}

%preun
%preun_uninstall_gconf_schemas purple

%files
%doc AUTHORS COPYRIGHT ChangeLog
%doc NEWS README doc/the_penguin.txt
%{_mandir}/man1/pidgin.*
%{_sysconfdir}/gconf/schemas/purple.schemas
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/icons/*
%{_datadir}/sounds/purple
%{_libdir}/pidgin/cap.so
%{_libdir}/pidgin/convcolors.so
%{_libdir}/pidgin/extplacement.so
%{_libdir}/pidgin/gestures.so
%{_libdir}/pidgin/gtkbuddynote.so
%{_libdir}/pidgin/history.so
%{_libdir}/pidgin/iconaway.so
%{_libdir}/pidgin/markerline.so
%{_libdir}/pidgin/musicmessaging.so
%{_libdir}/pidgin/notify.so
%{_libdir}/pidgin/pidginrc.so
%{_libdir}/pidgin/relnot.so
%{_libdir}/pidgin/sendbutton.so
%{_libdir}/pidgin/spellchk.so
%{_libdir}/pidgin/themeedit.so
%{_libdir}/pidgin/ticker.so
%{_libdir}/pidgin/timestamp.so
%{_libdir}/pidgin/timestamp_format.so
%{_libdir}/pidgin/transparency.so
%if %{with vv}
%{_libdir}/pidgin/vvconfig.so
%endif
%{_libdir}/pidgin/xmppconsole.so
%{_libdir}/pidgin/xmppdisco.so

%files -n %{develname}
%doc ChangeLog.API HACKING PLUGIN_HOWTO
%{_includedir}/*
%{_datadir}/aclocal/purple.m4
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libpurple.so
%{_libdir}/libpurple-client.so
%{_libdir}/lib*.la

%files -n %{libname}
%{_libdir}/libpurple.so.%{major}{,.*}

%files -n %{console_app}
%doc %{_mandir}/man1/%{console_app}.*
%{_bindir}/%{console_app}
%{_libdir}/finch/

%files -n %{lib_console_app}

%files bonjour
%{_libdir}/purple-2/libbonjour.so

%files perl
%doc doc/PERL-HOWTO.dox
%dir %_libdir/%name/perl
%_libdir/%name/perl/Pidgin.pm
%dir %_libdir/%name/perl/auto
%dir %_libdir/%name/perl/auto/Pidgin/
%_libdir/%name/perl/auto/Pidgin/Pidgin.so
%dir %{_libdir}/purple-2/perl
%{_libdir}/purple-2/perl/Purple.pm
%dir %{_libdir}/purple-2/perl/auto
%dir %{_libdir}/purple-2/perl/auto/Purple/
%{_libdir}/purple-2/perl/auto/Purple/Purple.so
%{_libdir}/purple-2/perl/auto/Purple/autosplit.ix
%{_libdir}/purple-2/perl.so
%{_mandir}/man3*/*

%files tcl
%doc doc/TCL-HOWTO.dox
%{_libdir}/purple-2/tcl.so

%if %{with silc}
%files silc
%doc libpurple/protocols/silc/README
%{_libdir}/purple-2/libsilcpurple.so
%endif

%if %{with evolution}
%files gevolution
%{_libdir}/%{name}/gevolution.so
%endif

%if %{with meanwhile}
%files meanwhile
%{_libdir}/purple-2/libsametime.so
%endif

%files client
%{_bindir}/purple-remote
%{_bindir}/purple-send
%{_bindir}/purple-send-async
%{_bindir}/purple-client-example
%{_bindir}/purple-url-handler
%{_libdir}/libpurple-client.so.0*
%{_libdir}/purple-2/dbus-example.so

%if %{with mono}
%files mono
%{_libdir}/purple-2/mono.so
%{_libdir}/purple-2/*.dll
%endif

%files i18n -f %{name}.lang

%files plugins
%dir %{_libdir}/purple-2
%{_libdir}/purple-2/autoaccept.so
%{_libdir}/purple-2/buddynote.so
%{_libdir}/purple-2/idle.so
%{_libdir}/purple-2/joinpart.so
%{_libdir}/purple-2/libaim.so
%{_libdir}/purple-2/libgg.so
%{_libdir}/purple-2/libicq.so
%{_libdir}/purple-2/libirc.so
%{_libdir}/purple-2/libjabber.so
%{_libdir}/purple-2/libnovell.so
%{_libdir}/purple-2/liboscar.so
%{_libdir}/purple-2/libsimple.so
%{_libdir}/purple-2/libxmpp.so
%{_libdir}/purple-2/libzephyr.so
%{_libdir}/purple-2/log_reader.so
%{_libdir}/purple-2/newline.so
%{_libdir}/purple-2/nss-prefs.so
%{_libdir}/purple-2/offlinemsg.so
%{_libdir}/purple-2/one_time_password.so
%{_libdir}/purple-2/psychic.so
%{_libdir}/purple-2/ssl-gnutls.so
%{_libdir}/purple-2/ssl-nss.so
%{_libdir}/purple-2/ssl.so
%{_libdir}/purple-2/statenotify.so


%changelog
* Wed Feb 10 2021 pterjan <pterjan> 2.14.1-6.mga8
+ Revision: 1675142
- Require most common SASL plugins to make SASL support useful

* Wed Feb 10 2021 pterjan <pterjan> 2.14.1-5.mga8
+ Revision: 1675120
- Enable SASL support (mga#28343)

* Fri Oct 16 2020 luigiwalser <luigiwalser> 2.14.1-4.mga8
+ Revision: 1636428
- try to fix intltool initialization
+ joequant <joequant>
- add intltool

* Thu Jun 18 2020 umeabot <umeabot> 2.14.1-2.mga8
+ Revision: 1596061
- Rebuild for perl 5.32

* Fri Jun 12 2020 shlomif <shlomif> 2.14.1-1.mga8
+ Revision: 1592686
- New version 2.14.1

* Thu Jun 11 2020 shlomif <shlomif> 2.14.0-1.mga8
+ Revision: 1592623
- New version 2.14.0

* Sun Feb 23 2020 daviddavid <daviddavid> 2.13.0-7.mga8
+ Revision: 1549551
- fix python shebangs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 21 2019 wally <wally> 2.13.0-6.mga8
+ Revision: 1444262
- enable networkmanager support
- add Fedora patch to fix build with recent networkmanager
- add patch from Fedora to fix purple-remote with python3
- add patch to fix build with python3.8
- drop old obsoletes and provides

* Tue Aug 27 2019 tmb <tmb> 2.13.0-5.mga8
+ Revision: 1433959
- rebuild for perl 5.30

* Sun Sep 23 2018 umeabot <umeabot> 2.13.0-4.mga7
+ Revision: 1300263
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2.13.0-3.mga7
+ Revision: 1249316
- Rebuild for perl 5.28

* Fri May 11 2018 kekepower <kekepower> 2.13.0-2.mga7
+ Revision: 1228379
- Rebuild for libidn 1.35

* Fri Mar 09 2018 shlomif <shlomif> 2.13.0-1.mga7
+ Revision: 1207479
- New version 2.13.0

* Sat Jul 22 2017 neoclust <neoclust> 2.12.0-2.mga7
+ Revision: 1126513
- Rebuild against new Perl 5.26

* Fri Mar 10 2017 shlomif <shlomif> 2.12.0-1.mga6
+ Revision: 1091451
- New upstream version 2.12.0 with AOL protocol update and fixes.

* Tue Jun 21 2016 shlomif <shlomif> 2.11.0-1.mga6
+ Revision: 1037018
- New stable version with fixes

* Mon Apr 11 2016 shlomif <shlomif> 2.10.12-2.mga6
+ Revision: 1000223
- Add patch to fix RTL incoming messages

* Mon Jan 18 2016 luigiwalser <luigiwalser> 2.10.12-1.mga6
+ Revision: 925702
- 2.10.12

* Mon Jan 11 2016 luigiwalser <luigiwalser> 2.10.11-6.mga6
+ Revision: 921832
- rebuild for gnutls

* Mon Oct 05 2015 daviddavid <daviddavid> 2.10.11-5.mga6
+ Revision: 886304
- rebuild for new tcl/tk 8.6.4

* Sat Jun 27 2015 tv <tv> 2.10.11-4.mga6
+ Revision: 846066
- rebuild for soname-ifed perl

* Sun Jun 21 2015 luigiwalser <luigiwalser> 2.10.11-3.mga6
+ Revision: 838505
- rebuild for new farstream

* Sat Jun 20 2015 wally <wally> 2.10.11-2.mga6
+ Revision: 836620
- add patch originally from Alt Linux to port to farstream 0.2 and gstreamer 1.0

* Mon Nov 24 2014 shlomif <shlomif> 2.10.11-1.mga5
+ Revision: 798829
- New version 2.10.11

* Wed Oct 22 2014 oden <oden> 2.10.10-1.mga5
+ Revision: 792523
- P117: drop the applied upstream patch
- 2.10.10

* Wed Oct 15 2014 umeabot <umeabot> 2.10.9-7.mga5
+ Revision: 749844
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.10.9-6.mga5
+ Revision: 687580
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Jul 11 2014 luigiwalser <luigiwalser> 2.10.9-5.mga5
+ Revision: 651341
- add upstream patch to fix Yahoo! and re-enable gnutls

* Mon Jul 07 2014 luigiwalser <luigiwalser> 2.10.9-4.mga5
+ Revision: 650510
- build with system libgadu to fix CVE-2014-3775

* Mon Jul 07 2014 luigiwalser <luigiwalser> 2.10.9-3.mga5
+ Revision: 650325
- disable gnutls to fix Yahoo! protocol

* Fri May 16 2014 fwang <fwang> 2.10.9-2.mga5
+ Revision: 622976
- rebuild for new silc-toolkit

* Tue Feb 04 2014 dams <dams> 2.10.9-1.mga5
+ Revision: 581664
- new version 2.10.9

* Tue Jan 28 2014 luigiwalser <luigiwalser> 2.10.8-1.mga4
+ Revision: 568515
- 2.10.8
- remove upstreamed patch

* Sat Oct 19 2013 umeabot <umeabot> 2.10.7-4.mga4
+ Revision: 529194
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 wally <wally> 2.10.7-3.mga4
+ Revision: 450836
- fix farstream BR after pkg renaming

* Thu Feb 14 2013 luigiwalser <luigiwalser> 2.10.7-2.mga3
+ Revision: 398366
- fix segfault in cap plugin

* Wed Feb 13 2013 oden <oden> 2.10.7-1.mga3
+ Revision: 398228
- 2.10.7 (fixes CVE-2013-0271, CVE-2013-0272, CVE-2013-0273, CVE-2013-0274)

* Sun Jan 13 2013 umeabot <umeabot> 2.10.6-3.mga3
+ Revision: 377695
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 blino <blino> 2.10.6-2.mga3
+ Revision: 322725
- suggest purple-libnotify-plus for notifications in gnome-shell
- provide purple-devel in devel package

* Fri Jul 06 2012 shlomif <shlomif> 2.10.6-1.mga3
+ Revision: 268509
- New version 2.10.6

* Thu Jul 05 2012 shlomif <shlomif> 2.10.5-1.mga3
+ Revision: 268261
- New version 2.10.5

* Wed May 09 2012 fwang <fwang> 2.10.4-1.mga2
+ Revision: 234977
- new version 2.10.4

* Wed May 02 2012 dams <dams> 2.10.3-2.mga2
+ Revision: 234522
+ rebuild (emptylog)

* Wed Mar 28 2012 shlomif <shlomif> 2.10.3-1.mga2
+ Revision: 227224
- Bump to a new version (2.10.3 instead of 2.10.2) for bug fixes, including fixing the MSN protocol.

* Wed Mar 14 2012 dams <dams> 2.10.2-1.mga2
+ Revision: 223384
- new version 2.10.2

* Sun Mar 04 2012 wally <wally> 2.10.1-2.mga2
+ Revision: 217911
- add patch to use farstream instead of old farsight2
+ fwang <fwang>
- should be noarch

* Sun Dec 11 2011 fwang <fwang> 2.10.1-1.mga2
+ Revision: 180549
- new version 2.10.1

* Wed Nov 09 2011 dams <dams> 2.10.0-3.mga2
+ Revision: 165979
- Add back file 'auto/Purple/autosplit.ix' (removed by MDV in 2009) to fix bug #2206)

* Tue Sep 06 2011 dmorgan <dmorgan> 2.10.0-2.mga2
+ Revision: 139592
- Rebuild to have an higher release than in updates
+ fwang <fwang>
- new version 2.10.0
- br gcrypt
- rebuild for new gnutls

* Sat Jul 02 2011 fwang <fwang> 2.9.0-2.mga2
+ Revision: 117315
- rebuild for new tcl

* Sat Jun 25 2011 ahmad <ahmad> 2.9.0-1.mga2
+ Revision: 113770
- Update to 2.9.0
- Drop BR startup-notification-devel, it's redundant since 2.7.11

* Thu Jun 09 2011 dams <dams> 2.8.0-1.mga2
+ Revision: 102475
- fix 'resolveconf' patch
- rediff 'resolveconf' and 'gg-disconnect' patch
- rediff 'resolveconf' and 'gg-disconnect' patch

* Tue Mar 29 2011 dams <dams> 2.7.11-1.mga1
+ Revision: 78653
- Update to 2.7.11

* Wed Feb 16 2011 ahmad <ahmad> 2.7.10-2.mga1
+ Revision: 52068
- drop old/unneeded scriptlets
- imported package pidgin

